<?php

/**
 * UserIdentity represents the data needed to identity a user.
 * It contains the authentication method that checks if the provided
 * data can identity the user.
 */
class UserIdentity extends CUserIdentity
{
	protected $_id;
	/**
	 * Authenticates a user.
	 * @return boolean whether authentication succeeds.
	 */
	public function authenticate()
	{
        // Производим стандартную аутентификацию, описанную в руководстве.
        $user = Users::model()->find('LOWER(u_email)=?', array(strtolower($this->username)));
        if(($user===null) or (md5($this->password)!==$user->u_pass)) {
            $this->errorCode = self::ERROR_USERNAME_INVALID;
        } else {
            // В качестве идентификатора будем использовать id, а не username,
            // как это определено по умолчанию. Обязательно нужно переопределить
            // метод getId(см. ниже).
            $this->_id = $user->u_id;
 
            // Далее логин нам не понадобится, зато имя может пригодится
            // в самом приложении. Используется как Yii::app()->user->name.
            // realName есть в нашей модели. У вас это может быть name, firstName
            // или что-либо ещё.
            $this->username = $user->u_name;
 
            $this->errorCode = self::ERROR_NONE;
        }
    	return !$this->errorCode;
	}
    
	public function getId(){
        return $this->_id;
    }
}